package com.vctgo.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.system.domain.SysTagManagement;

import java.util.List;
import java.util.Map;

/**
 * 标签管理Service接口
 *
 * @author wanglonghua
 * @date 2023-08-14
 */
public interface ISysTagManagementService
{
    /**
     * 查询标签管理
     *
     * @param id 标签管理主键
     * @return 标签管理
     */
    SysTagManagement selectSysTagManagementById(Long id);

    /**
     * 查询标签管理列表-分页
     *
     * @param sysTagManagement 标签管理
     * @return 标签管理集合
     */
    IPage<SysTagManagement> selectSysTagManagementPage(SysTagManagement sysTagManagement);

    /**
     * 查询标签管理列表
     *
     * @param sysTagManagement 标签管理
     * @return 标签管理集合
     */
    List<SysTagManagement> selectSysTagManagementList(SysTagManagement sysTagManagement);

    /**
     * 根据相应参数查询是否存在该标签
     *
     * @param params 参数
     * @return 标签管理集合
     */
    List<SysTagManagement> selectTagListByParams(Map<String, Object> params);

    /**
     * 新增标签管理
     *
     * @param sysTagManagement 标签管理
     * @return 结果
     */
    int insertSysTagManagement(SysTagManagement sysTagManagement);

    /**
     * 修改标签管理
     *
     * @param sysTagManagement 标签管理
     * @return 结果
     */
    int updateSysTagManagement(SysTagManagement sysTagManagement);

    /**
     * 逻辑删除标签管理
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysTagManagementByIds(Long[] ids);

    /**
     * 批量删除标签管理
     *
     * @param ids 需要删除的标签管理主键集合
     * @return 结果
     */
    int deleteSysTagManagementByIds(Long[] ids);

    /**
     * 删除标签管理信息
     *
     * @param id 标签管理主键
     * @return 结果
     */
    int deleteSysTagManagementById(Long id);

    /**
     * 查询所有标签
     * @return
     */
    List<SysTagManagement> getAllTag(SysTagManagement sysTagManagement);

}
